Bug 2093515 - GUI not working due to missing dependency python3-matplotlib-qt5
Summary: GUI not working due to missing dependency python3-matplotlib-qt5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flent
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Toke Høiland-Jørgensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-04 01:53 UTC by Felix Kaechele
Modified: 2022-06-06 08:20 UTC (History)
2 users (show)

Fixed In Version: flent-2.0.1-5.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-06 08:16:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Felix Kaechele 2022-06-04 01:53:48 UTC
Version used: flent-2.0.1-4.fc36


Error:

[felix@x1 ~]$ flent --gui --debug
Starting Flent 2.0.1 using Python 3.10.4.
ERROR: Unable to find a usable Qt version.
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/flent/gui.py", line 87, in <module>
    from matplotlib.backends.backend_qt5agg import FigureCanvasQTAgg \
  File "/usr/lib64/python3.10/site-packages/shiboken2/files.dir/shibokensupport/__feature__.py", line 142, in _import
    return original_import(name, *args, **kwargs)
ModuleNotFoundError: No module named 'matplotlib.backends.backend_qt5agg'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/flent/__init__.py", line 56, in run_flent
    from flent.gui import run_gui
  File "/usr/lib/python3.10/site-packages/flent/gui.py", line 93, in <module>
    raise RuntimeError("Unable to find a usable Qt version.")
RuntimeError: Unable to find a usable Qt version.


Solution: add python3-matplotlib-qt5 to the "Recommends" of the package.

Comment 1 Toke Høiland-Jørgensen 2022-06-06 08:16:27 UTC
Thank you for the report! Fixed in flent-2.0.1-5.fc37

Comment 2 Fedora Update System 2022-06-06 08:17:26 UTC
FEDORA-2022-fe2d287190 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fe2d287190

Comment 3 Fedora Update System 2022-06-06 08:20:10 UTC
FEDORA-2022-fe2d287190 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.